libjs-cropper_1.2.2-1_all.deb


Advertisement

Description

libjs-cropper - JavaScript image cropper UI

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjs-cropper
Package version 1.2.2
Package release 1
Package architecture all
Package type deb
Installed size 276 B
Download size 137.20 KB
Official Mirror ftp.br.debian.org
Allows the user to crop an image using an interface with the same features and
styling as found in commercial image editing software, and is based on the
Prototype JavaScript framework and script.aculo.us.

Alternatives

Package Version Architecture Repository
libjs-cropper_1.2.2-1_all.deb 1.2.2 all Debian Main
libjs-cropper - - -

Requires

Name Value
libjs-scriptaculous >= 1.9.0

Download

Type URL
Binary Package libjs-cropper_1.2.2-1_all.deb
Source Package jscropperui

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjs-cropper deb package:
    # sudo apt-get install libjs-cropper

Files

Path
/usr/share/doc/libjs-cropper/README.Debian
/usr/share/doc/libjs-cropper/changelog.Debian.gz
/usr/share/doc/libjs-cropper/copyright
/usr/share/doc/libjs-cropper/tests/castle.jpg
/usr/share/doc/libjs-cropper/tests/castleMed.jpg
/usr/share/doc/libjs-cropper/tests/example-Basic.htm
/usr/share/doc/libjs-cropper/tests/example-CSS-Absolute.htm
/usr/share/doc/libjs-cropper/tests/example-CSS-Fixed.htm
/usr/share/doc/libjs-cropper/tests/example-CSS-Float.htm
/usr/share/doc/libjs-cropper/tests/example-CSS-Relative.htm
/usr/share/doc/libjs-cropper/tests/example-CoordsOnLoad.htm
/usr/share/doc/libjs-cropper/tests/example-CoordsOnLoadWithRatio.htm
/usr/share/doc/libjs-cropper/tests/example-Dimensions.htm
/usr/share/doc/libjs-cropper/tests/example-DynamicImage.htm
/usr/share/doc/libjs-cropper/tests/example-FixedRatio.htm
/usr/share/doc/libjs-cropper/tests/example-Frameset-TopFrame.htm
/usr/share/doc/libjs-cropper/tests/example-Frameset.htm
/usr/share/doc/libjs-cropper/tests/example-MinimumDimensions.htm
/usr/share/doc/libjs-cropper/tests/example-MinimumWidth.htm
/usr/share/doc/libjs-cropper/tests/example-Preview.htm
/usr/share/doc/libjs-cropper/tests/example-iFrame.htm
/usr/share/doc/libjs-cropper/tests/poppy.jpg
/usr/share/doc/libjs-cropper/tests/staticHTMLStructure.htm
/usr/share/javascript/cropper/cropper.css
/usr/share/javascript/cropper/cropper.js
/usr/share/javascript/cropper/cropper.min.js
/usr/share/javascript/cropper/cropper.uncompressed.js
/usr/share/javascript/cropper/marqueeHoriz.gif
/usr/share/javascript/cropper/marqueeVert.gif

Changelog

2012-03-25 - Marcelo Jorge Vieira (metal) <metal@debian.org>
jscropperui (1.2.2-1) unstable; urgency=low
* New upstream release
* Setting libjs-scriptaculous dependency to 1.9.0
* Removing Steve Kemp from Uploaders
* Updated Standards-Version to 3.9.3
* Fixing path to libs in the test files
2010-06-02 - Marcelo Jorge Vieira (metal) <metal@debian.org>
jscropperui (1.2.1-2) unstable; urgency=low
* Switch to dpkg-source 3.0 (quilt) format
* Removed DM-Upload-Allowed field
* Updated Standards-Version to 3.8.4 (no changes)
* Changing my email for Debian address
* Generating compressed files from source
2009-11-09 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
jscropperui (1.2.1-1) unstable; urgency=low
* New Upstream version (Closes: #555255, #555257)
- Removed lib folder from source code (CVE-2007-2383 and CVE-2008-7220)
- Removed references for files in lib folder in copyright file
* Updating year in copyright file
* Added html header for prototypejs in README.Debian
2009-08-26 - Daniel Baumann <daniel@debian.org>
jscropperui (1.2.0-2) unstable; urgency=low
[ Marcelo Jorge Vieira (metal) ]
* Added DM-Upload-Allowed control field
* Fixed duplicated word 'is is' in long description
* Replaced 'libjs-jscropperui' with 'libjs-cropper' in
debian/README.Debian
* Fixed my name in debian/control
[ Daniel Baumann ]
* Removing myself from uploaders.
* Wrapping uploaders field.
* Updating package to standards version 3.8.3.
* Updating year in copyright file.
* Prefixing debhelper files with package name.
* Minimizing rules file.
2008-06-08 - Daniel Baumann <daniel@debian.org>
jscropperui (1.2.0-1) unstable; urgency=low
[ Marcelo Jorge Vieira ]
* Initial release (Closes: #468418).
[ Daniel Baumann ]
* Adding myself to debian packaging notice in copyright file.
* Rewriting debian packaging notice in copyright file in machine-
interpretable format.
* Reordering copyright file.
* Adding empty line seperator in clean target of rules.
* Correcting spelling typo in vcs field.
* Renaming libjs-jscropperui to libjs-cropper for consistency.
* Updating README.Debian file.
* Moving tests from install debhelper file to docs debhelper file.
* Reordering install file.
* Removing useless libjs-jscropperui-uncompressed binary package.
* Adding vcs fields in control file.
* Adding rest of the team as co-maintainers.
* Setting maintainer to team address.
* Updating package to standards 3.8.0.
* Updating package to debhelper 7.
* Removing useless whitespaces.

See Also

Package Description
libjs-cssom_0.3.0-1_all.deb CSS parser written in pure JavaScript
libjs-d3_3.4.11-2_all.deb JavaScript visualization library for HTML and SVG
libjs-debugger_0.5-4_all.deb a console logger for debugging JavaScript
libjs-dojo-core_1.10.2+dfsg-1_all.deb modular JavaScript toolkit
libjs-dojo-dijit_1.10.2+dfsg-1_all.deb modular JavaScript toolkit - Dijit
libjs-dojo-dojox_1.10.2+dfsg-1_all.deb modular JavaScript toolkit - DojoX
libjs-edit-area_0.8.2-1_all.deb a free javascript editor for source code
libjs-ejs_1.0.0+dfsg1-1_all.deb Embedded JavaScript templates (client support)
libjs-elycharts_2.1.5+ds-2_all.deb Javascript library to generate static and interactive charts
libjs-eventemitter2_0.4.13-2_all.deb Event emitter compatible with browsers
libjs-excanvas_0.r3-3_all.deb HTML5 Canvas for Internet Explorer
libjs-expect.js_0.3.1+dfsg-1_all.deb behavior driven test assertions - JavaScript library
libjs-extjs-doc_3.4.0+dfsg1-1_all.deb cross-browser JavaScript library (docs)
libjs-extjs_3.4.0+dfsg1-1_all.deb cross-browser JavaScript library
libjs-flot_0.8.2+dfsg-1_all.deb transitional dummy package
Advertisement
Advertisement